/*
 * Copyright (c) 2002-2008 TeamDev Ltd. All rights reserved.
 *
 * Use is subject to license terms.
 *
 * The complete licence text can be found at
 * http://www.teamdev.com/winpack/license.jsf
 */
import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

/**
 * @author Vladimir Ikryanov
 */
public abstract class JxCaptureSample {

    protected abstract void execute();

    protected abstract String getFileName();

    public void run() {
        execute();
    }

    public void saveImageToHomeDirectory(BufferedImage image) {
        String fileName = getFileName();
        String userHome = System.getProperty("user.home");
        saveImageToFile(new File(userHome + File.separator + fileName), image);
    }

    public void saveImageToFile(File file, BufferedImage image) {
        try {
            ImageIO.write(image, "PNG", file);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
