/*
 * Copyright (c) 2002-2008 TeamDev Ltd. All rights reserved.
 *
 * Use is subject to license terms.
 *
 * The complete licence text can be found at
 * http://www.teamdev.com/winpack/license.jsf
 */
import teamdev.jxdesktop.Mouse;

import java.awt.event.*;
import java.io.IOException;

/**
 * The  sample  shows  how  to  register global mouse listener
 * and listen mouse events such as mousePressed, mouseReleased,
 * mouseClicked, mouseDragged, mouseMoved or mouseWheelMoved.
 *
 * @author Ikryanov Vladimir
 */
public class MouseListenerSample {
    public static void main(String[] args) throws IOException {
        // creating Mouse object
        Mouse mouse = Mouse.createMouse();
        
        // registering mouse listener
        mouse.addMouseListener(new MouseAdapter() {
            public void mousePressed(MouseEvent e) {
                System.out.println("e = " + e);
            }

            public void mouseReleased(MouseEvent e) {
                System.out.println("e = " + e);
            }

            public void mouseClicked(MouseEvent e) {
                System.out.println("e = " + e);
            }
        });

        // registering mouse motion listener
        mouse.addMouseMotionListener(new MouseMotionListener() {
            public void mouseDragged(MouseEvent event) {
                System.out.println("event = " + event);
            }

            public void mouseMoved(MouseEvent event) {
                System.out.println("event = " + event);
            }
        });

        // registering mouse wheel listener
        mouse.addMouseWheelListener(new MouseWheelListener() {
            public void mouseWheelMoved(MouseWheelEvent event) {
                System.out.println("event = " + event);
            }
        });

        System.out.println("Type something to exit.");
        System.in.read();

        // disposing mouse object
        mouse.dispose();

        System.exit(0);
    }
}
